package de.ozgcloud.eingang.enterprise.entry;

import java.io.IOException;
import java.io.InputStream;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.fasterxml.jackson.databind.ObjectMapper;

import de.ozgcloud.eingang.common.formdata.FormData;

@Component
class EntryDataMapper {

	@Autowired
	private ObjectMapper objectMapper;
	@Autowired
	private FormDataMapper formDataMapper;

	public FormData mapEntryData(InputStream request) {
		return formDataMapper.mapEntryData(readRequest(request));
	}

	EntryData readRequest(InputStream request) {
		try {
			return objectMapper.readValue(request, EntryData.class);
		} catch (IOException e) {
			throw new ReadingRequestException(e);
		}

	}

}
